#include "common.as"

class CBullet : IEntityController
{
	CBullet(CEntity @ent)
	{
		@entity = ent;
	}
 
	void onCollide(const CEntity @object, const vector2 &in position, const vector2 &in normal, float appliedImpulse)
	{
		game.SpawnEntity("spark", position, vector2(0,0));
		entity.Kill();
		
		if( object !is null )
		{
			// TODO: Implement an IncrementProperty(string, modify);
			uint shotsHit;
			game.GetProperty('shotsHit', shotsHit);
			game.SetProperty('shotsHit', shotsHit+1);
		}
	}

	CEntity @entity;
}