shared enum EActions
{
  actionUp            = 0,
  actionLeft          = 1,
  actionDown          = 2,
  actionRight         = 3,
  actionUse           = 4
}

shared enum EEndLevelCodes
{
  endLevelFail,
  endLevelSucceed
}

shared enum EMessages
{
  msgSetWayPoint
}

shared class CWayPoint
{
  CWayPoint(float x, float y) { this.x = x; this.y = y; }
  float x;
  float y;
}

const float pi = 3.141592f;

// ( 0,  1) -> 0
// (-1,  0) -> pi/2
// ( 0, -1) -> -pi
// ( 1,  0) -> -pi/2
float AngleFromVector(vector2 vec)
{
  return atan(vec.y, vec.x) - pi/2;
}