#include "common.as"

// These are properties that can be accessed from other scripts
// TODO: Maybe I can use metadata to show the properties that are shared
uint shotsFired    = 0;
uint shotsHit      = 0;
uint enemiesKilled = 0;

void onStartGame()
{
	gui.LoadScript('gui.as');

	// Start the level
	shotsFired    = 0;
	shotsHit      = 0;
	enemiesKilled = 0;
	game.GenerateLevel('generate.as');
}

void onEndLevel(int code)
{
	if( code == endLevelSucceed )
	{
		// Show success menu
		game.ShowMenu(2);
	}
	else if( code == endLevelFail )
	{
		// Show menu where player get to quit or restart level
		game.ShowMenu(1);
	}
}

void onRestartLevel()
{
	// TODO: Should keep the seed, so the same level is generated again
	shotsFired    = 0;
	shotsHit      = 0;
	enemiesKilled = 0;
	game.GenerateLevel('generate.as');
}

