#include "common.as"

CGuiElement @life;
CGuiElement @gold;

void onShowGui()
{
  CGuiElement @helmet = @gui.CreateElement(vector2(0,704), vector2(64,64), null);
  helmet.srcImageIndex = gui.LoadImage("gui_helmet.png");

  CGuiElement @coin = @gui.CreateElement(vector2(960, 704), vector2(64,64), null);
  coin.srcImageIndex = gui.LoadImage("gui_coin.png");
  
  // Life label
  @life = @gui.CreateElement(vector2(70,715), vector2(200,50), null);
  life.fontIndex = gui.LoadFont("gui_numbers.fnt");
  life.align = 0; // Left aligned
  
  // Gold label
  @gold = @gui.CreateElement(vector2(954, 715), vector2(200,50), null);
  gold.fontIndex = gui.LoadFont("gui_numbers.fnt");
  gold.align = 2; // Right aligned
}

void onFrame()
{
  // TODO: As the number of lives changes, the number should be 
  //       made larger, and then shrink slowly to normal size
  uint lives;
  game.GetProperty('lives', lives);
  life.text = ''+lives;
  
  uint qty;
  game.GetProperty('gold', qty);
  gold.text = ''+qty;
}