#include "common.as"

class CEnemy : IEntityController
{
	CEnemy(CEntity @ent)
	{
		@entity = ent;
		hitPoints = 3;
	}
 
 	void onCollide(const CEntity @object, const vector2 &in position, const vector2 &in normal, float appliedImpulse)
	{
		if( object !is null && object.type == "bullet" )
		{
			hitPoints--;
			if( hitPoints == 0 )
			{
				entity.Kill();
				
				// TODO: Implement an IncrementProperty(string, modify);
				uint enemiesKilled;
				game.GetProperty('enemiesKilled', enemiesKilled);
				game.SetProperty('enemiesKilled', enemiesKilled+1);
			}
		}
	}
	
	uint hitPoints;
	CEntity @entity;
}