class CCoin : IEntityController
{
	CCoin(CEntity @ent)
	{
		@entity = ent;
		
		// Delay the start of the animation
		// entity.SetTimer(game.GetRandomNumber(), 0);
		entity.SetTimer(fraction(0.2f*(entity.position.x+0.5*entity.position.y)), 0);
	}

	void onProximity(const CEntity @object, bool isNearing)
	{
		if( object.type != 'player' ) return;
		
		if( isNearing )
		{
			// Increase the player's gold
			uint gold;
			game.GetProperty('gold', gold);
			game.SetProperty('gold', gold+1);

			// Do a little show
			entity.PlaySound('coin');

			// Kill ourselves
			// TODO: Play animation before kill
			entity.Kill();
		}
	}

	void onTimer(int id)
	{
		entity.SetAnimation('rotate');
	}
	
	CEntity @entity;
}