class CKey : IEntityController
{
	CKey(CEntity @ent)
	{
		@entity = ent;
	}

	void onProximity(const CEntity @object, bool isApproaching)
	{
		if( object.type != 'player' ) return;
		
		if( isApproaching )
		{
			// Set a property in the level to indicate that the key has been picked up
			// Use the name of the key to define the property. The name can be set from the level file
			game.SetProperty('key_'+entity.name, 1);

			// TODO: Play animation before kill

			// Kill ourselves
			entity.Kill();
		}
	}

	CEntity @entity;
}