#include "common.as"

class CLever : IEntityController
{
  CLever(CEntity @ent)
  {
    @entity = ent;
	state = 0;
  }

  void onTouch(const CEntity @origin)
  {
    switch( state )
	{
	case 0:
	case -1:
	  state = 1;
	  entity.PlaySound("lever_switch");
	  entity.SetAnimation("left_to_right");
	  break;
	  
	case 1:
	  state = -1;
	  entity.PlaySound("lever_switch");
	  entity.SetAnimation("right_to_left");
	  break;
	}
	
	// End the level
    game.EndLevel(endLevelSucceed);
  }
  
  CEntity @entity;
  int      state;
}