class CLifeUp : IEntityController
{
	CLifeUp(CEntity @ent)
	{
		@entity = ent;
	}

	void onProximity(const CEntity @object, bool isNearing)
	{
		if( object.type != 'player' ) return;
		
		if( isNearing )
		{
			// Increase the player's life
			uint lives;
			game.GetProperty('lives', lives);
			game.SetProperty('lives', lives+1);

			// Do a little show
			entity.PlaySound('life_up');
			
			// Kill ourselves
			// TODO: Play animation before kill
			entity.Kill();
		}
	}

	CEntity @entity;
}